#
# spec file for package python3-lazy_object_proxy
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-lazy_object_proxy
Version:        1.2.2
Release:        1.1
Summary:        Rebuild a new abstract syntax tree from Python's ast
License:        BSD-2-Clause
Group:          Development/Libraries/Python
Url:            https://github.com/ionelmc/python-lazy-object-proxy
Source:         https://pypi.python.org/packages/source/l/lazy-object-proxy/lazy-object-proxy-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six
Requires:       python3-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A fast and thorough lazy object proxy that rebuilds a new abstract syntax tree
from Python's ast

%prep
%setup -q -n lazy-object-proxy-%{version}

%build
CFLAGS="%{optflags} -fno-strict-aliasing" python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGELOG.rst CONTRIBUTING.rst LICENSE README.rst docs
%{python3_sitearch}/*

%changelog
* Mon Jul  4 2016 arun@gmx.de
- update to version 1.2.2:
  * Added `manylinux <https://www.python.org/dev/peps/pep-0513/>`_
    wheels.
  * Minor cleanup in readme.
* Sun May 15 2016 tchvatal@suse.com
- Move from python2 to work with python3-astrid
* Tue Feb 23 2016 bwiedemann@suse.com
- fix license string
* Wed Feb 10 2016 michael@stroeder.com
- initial packaging of upstream release 1.2.1
